QGIS Application - Bug report #11237
Shapefile polygon layer not showing certain polygons
2014-09-20 09:42 AM - Dewey Dunnington

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No
Operating System: OSX Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19544
Description

When | scroll around the map, the layer on my map that contains my lakes displays certain polygons from that layer but not others.
Scrolling in the X direction tends not to affect much, but scrolling in the Y direction does. It appears that when the polygon is entirely below
the halfway point it stops being displayed, but that's just a guess.

History

#1 - 2014-09-20 12:58 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please attach sample data to allow try replicate the issue.

Does it happens with any vector?

Is your layer topologically clean?

#2 - 2014-09-21 08:41 AM - Dewey Dunnington
- File Screen_Shot _2014-09-21_at_12.29.07_PM.png added
- File Screen_Shot_2014-09-21_at_12.28.58_PM.png added

It had worked in a previous version of QGIS (2.2) but then stopped working when | upgraded. Apparently doing a "save as" of the shapefile fixed the

problem. Also, deleting the .qix file fixed the problem as well (the .qpj file appears to have no effect on the problem).

#3 - 2014-10-01 01:52 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

so it was a spatial index issue. Closing then.

Files
Screen_Shot_2014-09-21_at_12.28.58_PM.png 640 KB 2014-09-21 Dewey Dunnington
Screen_Shot_2014-09-21_at_12.29.07_PM.png 638 KB 2014-09-21 Dewey Dunnington
